### A free/open-source library for quantitative finance

Public Member Functions
TwoFactorModel::ShortRateDynamics Class Reference

Class describing the dynamics of the two state variables. More...

`#include <ql/models/shortrate/twofactormodel.hpp>`

Inherited by G2::Dynamics.

List of all members.

## Public Member Functions

| ShortRateDynamics (const boost::shared_ptr< StochasticProcess1D > &xProcess, const boost::shared_ptr< StochasticProcess1D > &yProcess, Real correlation)
virtual Rate | shortRate (Time t, Real x, Real y) const =0
const boost::shared_ptr < StochasticProcess1D > & | xProcess () const
| Risk-neutral dynamics of the first state variable x.
const boost::shared_ptr < StochasticProcess1D > & | yProcess () const
| Risk-neutral dynamics of the second state variable y.
Real | correlation () const
| Correlation between the two brownian motions.
boost::shared_ptr < StochasticProcess > | process () const
| Joint process of the two variables.

## Detailed Description

Class describing the dynamics of the two state variables.

We assume here that the short-rate is a function of two state variables x and y.

of two state variables and . These stochastic processes satisfy

and

where and are two brownian motions satisfying

.